Subject: Re: guix guix-science channels : built incompatibilties

From: Arnaud Mounier <[email-masked]>
Date: Tue, 19 Aug 2025 08:43:38 +0200

Hello Andreas,

Many thanks for this prompt reaction. It works fine now, and the pull 
and package update commands ended successfully. You can close this bug.

I still have one question on the update process of Guix on a foreign 
distro. Here's what I attempted to do:

1. <user@fd>$> sudo -i guix pull
2. <user@fd>$> guix pull
3. <user@fd>$> guix package -u

Is it the right way to do it, or do I just need the last 2 commands? 
Should I add a point between 1 and 2 with this command?
<user>$>sudo -i guix package -u

Please excuse me if it's not the right way to ask this kind of unrelated 
bug question. If so, do you know where I can ask it?

Regards,
arnome

Le 18/08/2025 à 17:10, Andreas Enge a écrit :
> Hello,
> 
> and thanks for your report!
> 
> This is also handled on codeberg, and actually an issue with the
> guix-science channel:
>     https://codeberg.org/guix-science/guix-science/issues/157
> after we made a change in Guix.
> 
> This should be fixed now, and you should be able to do a
> "guix pull" again.
> 
> Andreas
> 

-- 
« Quand les hommes considèrent certaines situations comme réelles, elles 
sont réelles dans leur conséquence. »
Le théorème de Thomas.

..: Arnaud Mounier • Informaticien :..

UMR 6298 ARTEHIS - Archéologie, Terre, Histoire et Sociétés
Bâtiment Sciences Gabriel
6, Boulevard Gabriel
21000 Dijon
Téléphone : 0 380 393 622